using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class RequestGenAgvSchedulingTask
    {
        [Required]
        [MaxLength(64)]
        public string reqCode { get; set; }
        [Required]
        [MaxLength(32)]
        public string taskType { get; set; }
        [Required]
        [MaxLength(64)]
        public string taskCode { get; set; }

        [MaxLength(50)]
        public string barcode { get; set; }
        [MaxLength(16)]
        public string podCode { get; set; }
        [MaxLength(16)]
        public string podTyp { get; set; }

        [Required]
        public List<PositionCodePath> positionCodePath { get; set; }

        [Required]
        [MaxLength(50)]
        public string reqTime { get; set; }

        [MaxLength(32)]
        public string sourceZoneNo { get; set; }

        [MaxLength(32)]
        public string zoneNo { get; set; }

        [MaxLength(2000)]
        public string data { get; set; }
    }

    public class PositionCodePath
    {
        [Required]
        [MaxLength(50)]
        public string positionCode { get; set; }
        public string type { get; set; }
    }
 }
